Mestizaje en Ubuntu

(7 comentarios)

Los repositorios de Ubuntu Warty están llenos de aplicaciones, pero estas no suelen estar en su última versión. En cierta forma, hay que sacrificar el estar a la última por la estabilidad. Pero si te gusta el riesgo y quieres instalar software de la versión inestable de Ubuntu, Hoary, puede que te interese saber qué es el apt-pinning, que permite mezclar paquetes de diferentes versiones de manera segura y totalmente configurable.

Lo primero que tenemos que hacer es añadir hoary a nuestro sources.list. Editamos el archivo /etc/apt/sources.list y añadimos las siguientes líneas:

#Distribución inestable
deb http://archive.ubuntu.com/ubuntu/ hoary main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hoary main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ hoary-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu/ hoary-security main restricted universe multiverse

Ahora el objetivo es que no se actualicen a hoary nada más que las aplicaciones que nosotros seleccionemos. Para lograrlo, editamos el archivo /etc/apt/preferences, para indicar una determinada prioridad para los paquetes de warty y de hoary (normalmente, los paquetes con una versión mas actualizada tienen prioridad, con lo que siempre se instalaría el software de hoary). El que tenga interés en saber que significa una prioridad perteneciente a determinado rango de valores, para poder personalizarlo a su gusto, siempre puede leer las páginas de manual (man apt_preferences), el que no tenga ganas de leer puede indicar estos valores, por ejemplo:

Package: *
Pin: release a=warty
Pin-Priority: 900

Package: *
Pin: release a=hoary
Pin-Priority: 800

De esta forma, warty siempre tendrá preferencia sobre el software de hoary, aunque se puede jugar con estos valores y el archivo /etc/apt/apt.conf, donde se puede especificar la distribución objetivo, para personalizarlo a nuestro gusto (recomendado, porque estos son mis gustos, y seguramente a la mayoría no le gustará).

A la hora de instalar paquetes, como decimos, se instalará la versión de warty a menos que no exista esta aplicación más que en hoary. Si la aplicación está disponible tanto en warty como en hoary, pero queremos instalar la versión mas reciente, podemos especificar que se instale la versión de hoary con apt-get install nombrePaquete/hoary o con apt-get -t hoary install nombrePaquete para que intente resuelver las dependencias usando hoary.

Ubuntu: Masters of the Universe

(9 comentarios)

A la hora de instalar nuevo software en Ubuntu, vía apt-get o su contrapartida gráfica, synaptic, existen varios componentes en el repositorio de Ubuntu para elegir, según su licencia y el soporte que ofrece Canonical para esos paquetes. Por defecto solo se instalan paquetes pertenecientes a main, que incluye todas las aplicaciones que son libres, pueden ser libremente distribuidas y que tienen pleno soporte por parte de Canonical; y restricted, software que no es completamente libre pero para el que Canonical ofrece soporte en la medida de lo posible.

Tenemos también, no activados por defecto, universe que incluye software con licencias libres o licencias algo mas restrictivas y multiverse con software que no es compatible con la licencia GPL. Para ambos no existe soporte por parte de Canonical, por lo que si decidimos activarlos, será bajo nuestra responsabilidad.

Si queremos activar universe y/o multiverse, debemos editar el archivo /etc/apt/sources.list, por ejemplo con gedit (sudo gedit /etc/apt/sources.list) y editar las líneas del archivo de forma que tengamos algo parecido a esto:

#Ubuntu Warty (Binarios)
deb http://archive.ubuntu.com/ubuntu/ warty main restricted universe multiverse
#Ubuntu Warty (Código Fuente)
deb-src http://archive.ubuntu.com/ubuntu/ warty main restricted universe multiverse
#Ubuntu Warty Seguridad (Binarios)
deb http://security.ubuntu.com/ubuntu/ warty-security main restricted universe multiverse
#Ubuntu Warty Seguridad (Código Fuente)
deb-src http://security.ubuntu.com/ubuntu/ warty-security main restricted universe multiverse

Después de esto actualizamos la lista de las aplicaciones, con apt-get update, o con el botón recargar de synaptic y tendremos a nuestra disposición todos los paquetes de universe y multiverse 🙂

Ubuntu Linux, The Warty Warthog Release

(44 comentarios)

Hace unos días se liberó la versión 4.10 de Ubuntu Linux, “The Warty Warthog Release”, y aunque en su día pedí el CD que te envían gratuitamente registrándose en http://shipit.ubuntulinux.org/, después de las buenas críticias que he leído y escuchado de esta distro de Linux no he podido resistirme a probarla.

Y la verdad es que todo lo bueno que se ha dicho está justificado. Una sencillez envidiable, aunque a mas de un novato le puede dar un ataque de pánico al ver un instalador en modo texto, pero con toda la potencia Debian (no en vano está basada en Debian); y con paquetes modernos pero sin perder ni un ápice de estabilidad. Para ser una distro nueva es una fuera de serie ^^ y ha llegado para jugar de tú a tú con las distros mas importantes 🙂 En definitiva, me ha gustado bastante y le daría un 8/10.

¡Probadla!

Ubuntu Linux

Apagar el monitor en Linux vía la línea de comandos

(6 comentarios)

xset dpms force off

xset es un comando que nos permite cambiar los valores de varias preferencias de las X. DPMS son las siglas de Display Power Management System, que nos permite apagar (dpms force off), encender (dpms force on), poner en modo standby (dpms force standby) o suspender (dpms force suspend) nuestro monitor desde la línea de comandos, siempre que esta opción este activada en el archivo de configuración de las X.

Página 42 de 42« Primero...3839404142